diff --git a/tests/p_logwatch/0-install_logwatch.sh b/tests/p_logwatch/0-install_logwatch.sh
new file mode 100755
index 0000000..7fa7223
--- /dev/null
+++ b/tests/p_logwatch/0-install_logwatch.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "$0 - Installing logwatch"
+t_InstallPackage  logwatch
+
diff --git a/tests/p_logwatch/logwatch_test.sh b/tests/p_logwatch/logwatch_test.sh
new file mode 100755
index 0000000..95a487a
--- /dev/null
+++ b/tests/p_logwatch/logwatch_test.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+# Author: Athmane Madjoudj <athmanem@gmail.com>
+
+t_Log "Running $0 - logwatch test."
+
+logwatch --print | grep -q 'Logwatch End'
+
+t_CheckExitStatus $?